package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import javax.print.attribute.PrintJobAttribute;
import javax.print.attribute.PrintRequestAttribute;
import javax.print.attribute.DocAttribute;
import javax.print.attribute.ResolutionSyntax;

public final class PrinterResolution extends ResolutionSyntax implements DocAttribute, PrintRequestAttribute, PrintJobAttribute
{
    private static final long serialVersionUID = 13090306561090558L;
    
    public PrinterResolution(int crossFeedResolution, int feedResolution, int units) {
        super(crossFeedResolution, feedResolution, units);
    }
    
    @Override
    public boolean equals(Object object) {
        return super.equals(object) && object instanceof PrinterResolution;
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return PrinterResolution.class;
    }
    
    @Override
    public final String getName() {
        return "printer-resolution";
    }
}
